- Legion API
- Organization Users
- Update organization user
Update organization user
PUT
/v3/organizations/users/{userId}
const url = 'https://us-gov.legion.picogrid.com/v3/organizations/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"organization_role":"LIMITED"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://us-gov.legion.picogrid.com/v3/organizations/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --data '{ "organization_role": "LIMITED" }'Update a user’s role within the current organization. Requires organization ID in context and organizations:users:write scope.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”userId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
organization_role
required
string
Example
{ "organization_role": "LIMITED"}Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
created_at
required
string
email
string format: email
first_name
string
is_support
required
boolean
last_name
string
organization_id
required
string format: uuid
organization_name
string
organization_role
required
string
updated_at
required
string
user_id
required
string format: uuid
Example
{ "created_at": "2024-01-15T11:00:00Z", "email": "user@picogrid.com", "first_name": "John", "is_support": "false", "last_name": "Doe", "organization_id": "550e8400-e29b-41d4-a716-446655440000", "organization_name": "Picogrid Corp", "organization_role": "ADMIN", "updated_at": "2024-03-11T16:00:00Z", "user_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479"}Bad Request
Media typeapplication/json
object
category
string
code
number
details
Array<object>
object
field
required
string
issue
required
string
message
string
status
string
timestamp
string
trace_id
string
Example
{ "code": "400", "details": "sample_value", "message": "Request cannot be processed due to invalid input", "status": "error", "timestamp": "2025-01-15T14:32:45Z", "trace_id": "req_2J9K8L7M6N5P4Q3R"}Unauthorized
Media typeapplication/json
object
category
string
code
number
details
Array<object>
object
field
required
string
issue
required
string
message
string
status
string
timestamp
string
trace_id
string
Example
{ "code": "401", "details": "sample_value", "message": "Authentication credentials are missing or invalid", "status": "error", "timestamp": "2025-01-15T14:32:45Z", "trace_id": "req_2J9K8L7M6N5P4Q3R"}Forbidden
Media typeapplication/json
object
category
string
code
number
details
Array<object>
object
field
required
string
issue
required
string
message
string
status
string
timestamp
string
trace_id
string
Example
{ "code": "403", "details": "sample_value", "message": "Access denied: insufficient permissions for this resource", "status": "error", "timestamp": "2025-01-15T14:32:45Z", "trace_id": "req_2J9K8L7M6N5P4Q3R"}Not Found
Media typeapplication/json
object
category
string
code
number
details
Array<object>
object
field
required
string
issue
required
string
message
string
status
string
timestamp
string
trace_id
string
Example
{ "code": "404", "details": "sample_value", "message": "The requested resource could not be found", "status": "error", "timestamp": "2025-01-15T14:32:45Z", "trace_id": "req_2J9K8L7M6N5P4Q3R"}Internal Server Error
Media typeapplication/json
object
category
required
The category of the error
string
code
required
The HTTP status code
number
details
required
Additional details about the error
Array<object>
object
field
The field that caused the error
string
issue
The specific issue with the field
string
message
required
A human-readable error message
string
status
required
The status of the response, always ‘error’ for error responses
string
timestamp
required
The timestamp when the error occurred
string format: date-time
trace_id
required
A unique identifier for tracing the error
string format: uuid
Example
{ "category": "server_error", "code": "500", "details": [ { "field": "field_name", "issue": "Field validation issue" } ], "message": "Internal Server Error", "status": "error", "timestamp": "2024-03-15T10:30:00Z", "trace_id": "b7c5e4d3-a2b1-4f0e-8d9c-1a2b3c4d5e6f"}Version 3.0.0 · commit 0771262
